/*********************************************************************
** AreaBuilder is a program designed to build maps for MUDS like    **
** Anatolia.                                                        **
** Copyright (C) 2003 Pierre Chatelier                              **
**                                                                  **
** This program is free software; you can redistribute              **
** it and/or modify it under the terms of the GNU                   **
** General Public License as published by the                       **
** Free Software Foundation, version 2.                             **
**                                                                  **
** This program is distributed in the hope that it will be          **
** useful, but WITHOUT ANY WARRANTY; without even the implied       **
** warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. **
** See the GNU General Public License for more details.             **
**                                                                  **
** You should have received a copy of the                           **
** GNU General Public License along with this program; if not,      **
** write to the Free Software Foundation,                           **
** Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA      **
*********************************************************************/
package areabuilder;

import java.io.*;
import java.util.*; //pour StringTokenizer

public class AnatoliaShopsReader extends AnatoliaAreReader
{
  public AnatoliaShopsReader(AreaMap areaMap)
  {
    super(areaMap);
  }

  public void read(BufferedReader input) throws IOException
  {
    String line = super.trim(input);
    StringTokenizer tokens = null;
    while(!line.startsWith("0"))
    {
      //<mob#> <item types> <profit-buy> <p-sell> <op-hour> <close>
      tokens = new StringTokenizer(line);
      int mob_vnum = MyInteger.parseInt(tokens.nextToken());
      int item_types = MyInteger.parseInt(tokens.nextToken());
      int profit_buy = MyInteger.parseInt(tokens.nextToken());
      int profit_sell = MyInteger.parseInt(tokens.nextToken());
      int open_hour = MyInteger.parseInt(tokens.nextToken());
      int close_hour = MyInteger.parseInt(tokens.nextToken());
      AnatoliaMobile mobile = (AnatoliaMobile) areaMap.theMobiles.getAnatoliaThingOfVnum(mob_vnum);
      mobile.isShopKeeper = true;
      mobile.nbItemSold = item_types;
      mobile.profitBuy = profit_buy;
      mobile.profitSell = profit_sell;
      mobile.openHour = (byte) open_hour;
      mobile.closeHour = (byte) close_hour;
      line = super.trim(input);
    }
  }
}