/*********************************************************************
** AreaBuilder is a program designed to build maps for MUDS like    **
** Anatolia.                                                        **
** Copyright (C) 2003 Pierre Chatelier                              **
**                                                                  **
** This program is free software; you can redistribute              **
** it and/or modify it under the terms of the GNU                   **
** General Public License as published by the                       **
** Free Software Foundation, version 2.                             **
**                                                                  **
** This program is distributed in the hope that it will be          **
** useful, but WITHOUT ANY WARRANTY; without even the implied       **
** warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. **
** See the GNU General Public License for more details.             **
**                                                                  **
** You should have received a copy of the                           **
** GNU General Public License along with this program; if not,      **
** write to the Free Software Foundation,                           **
** Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA      **
*********************************************************************/
package areabuilder;

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

public class EquipingDialog extends JDialog implements ActionListener
{
  JComboBox locationBox = new JComboBox(AnatoliaConsts.getWearTexts());
  JCheckBox allInstancesCheckBox = new JCheckBox("Equip all instances", true);
  JButton okButton = new JButton("OK");
  JButton cancelButton = new JButton("Cancel");
  boolean lastOK = false;

  public EquipingDialog()
  {
     setModal(true);
     getContentPane().setLayout(new GridLayout(2,1));

     JPanel inputPanel = new JPanel(new GridLayout(3,1));
     inputPanel.add(new JLabel("Select a location"));
     inputPanel.add(locationBox);
     inputPanel.add(allInstancesCheckBox);
     getContentPane().add(inputPanel);

     JPanel confirmPanel = new JPanel();
     confirmPanel.add(okButton);
     confirmPanel.add(cancelButton);
     getContentPane().add(confirmPanel);

     okButton.addActionListener(this);
     cancelButton.addActionListener(this);

     pack();

     Dimension screenSize = Toolkit.getDefaultToolkit().getScreenSize();
     Dimension mySize = this.getSize();
     this.setLocation((int) (screenSize.getWidth()-mySize.getWidth())/2,
                      (int) (screenSize.getHeight()-mySize.getHeight())/2
                     );
     setVisible(true);
  }

  public void actionPerformed(ActionEvent e)
  {
    if (e.getSource() == okButton)
    {
      lastOK = true;
      setVisible(false);
    }
    else if (e.getSource() == cancelButton)
    {
      lastOK = false;
      setVisible(false);
    }
  }
}