/*********************************************************************
** AreaBuilder is a program designed to build maps for MUDS like    **
** Anatolia.                                                        **
** Copyright (C) 2003 Pierre Chatelier                              **
**                                                                  **
** This program is free software; you can redistribute              **
** it and/or modify it under the terms of the GNU                   **
** General Public License as published by the                       **
** Free Software Foundation, version 2.                             **
**                                                                  **
** This program is distributed in the hope that it will be          **
** useful, but WITHOUT ANY WARRANTY; without even the implied       **
** warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. **
** See the GNU General Public License for more details.             **
**                                                                  **
** You should have received a copy of the                           **
** GNU General Public License along with this program; if not,      **
** write to the Free Software Foundation,                           **
** Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA      **
*********************************************************************/
package areabuilder;

import java.awt.*;
import java.net.URL;

public class PointerState
{
  public static final byte DEFAULTSTATE = 0;
  public static final byte POINTERSTATE = 1;
  public static final byte ZOOMSTATE = 2;
  public static final byte ROOMSTATE = 3;
  public static final byte WIRESTATE = 4;
                      byte pointerState;

  static Cursor defaultCursor = null;
  static Cursor zoomCursor    = null;
  static Cursor roomCursor    = null;
  static Cursor wireCursor    = null;

  public PointerState(Cursor defaultCursor)
  {
      URL url = null;
      this.defaultCursor = defaultCursor;
      url = PointerState.class.getResource("Resources/Cursors/cursorZoom.gif");
      this.zoomCursor = Toolkit.getDefaultToolkit().createCustomCursor(
               Toolkit.getDefaultToolkit().createImage(url),new Point(9,8), "zoomCursor");
      url = PointerState.class.getResource("Resources/Cursors/cursorRoom.gif");
      this.roomCursor = Toolkit.getDefaultToolkit().createCustomCursor(
               Toolkit.getDefaultToolkit().createImage(url),new Point(2,2), "roomCursor");
      url = PointerState.class.getResource("Resources/Cursors/cursorWire.gif");
      this.wireCursor = Toolkit.getDefaultToolkit().createCustomCursor(
               Toolkit.getDefaultToolkit().createImage(url),new Point(2,2), "wireCursor");
  }

  public void setPointerState(byte pointerState)
  {
    this.pointerState = pointerState;
  }
  public int getPointerState()
  {
    return pointerState;
  }

  public Cursor getPointerStateDefaultCursor()
  {
    return defaultCursor;
  }

  public Cursor getPointerStateCursor()
  {
    switch(pointerState)
    {
      case ZOOMSTATE : return zoomCursor;
      case ROOMSTATE : return roomCursor;
      case WIRESTATE : return wireCursor;
      default : return defaultCursor;
    }
  }
}